Package weka.classifiers.rules.part

# Class PruneableDecList

java.lang.Object
weka.classifiers.rules.part.ClassifierDecList
weka.classifiers.rules.part.PruneableDecList

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class PruneableDecList extends ClassifierDecList
Class for handling a partial tree structure that can be pruned using a pruning set.

Version:
  $Revision: 10153 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PruneableDecList(ModelSelection toSelectLocModel, int minNum)`
  Constructor for pruneable partial tree structure.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildDecList(Instances train, Instances test, boolean leaf)`
  Builds the partial tree with hold out set
  `void`
  `buildRule(Instances train, Instances test)`
  Method for building a pruned partial tree.
  `String`
  `getRevision()`
  Returns the revision string.

  ### Methods inherited from class weka.classifiers.rules.part.ClassifierDecList

  `buildDecList, buildRule, chooseIndex, chooseLastIndex, classifyInstance, cleanup, distributionForInstance, toString, weight`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PruneableDecList

    public PruneableDecList(ModelSelection toSelectLocModel, int minNum)
    Constructor for pruneable partial tree structure.
    Parameters:
      `toSelectLocModel` - selection method for local splitting model
      `minNum` - minimum number of objects in leaf

- ## Method Details

  - ### buildRule

    public void buildRule(Instances train, Instances test) throws Exception
    Method for building a pruned partial tree.
    Throws:
      `Exception` - if tree can't be built successfully

  - ### buildDecList

    public void buildDecList(Instances train, Instances test, boolean leaf) throws Exception
    Builds the partial tree with hold out set
    Throws:
      `Exception` - if something goes wrong

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `ClassifierDecList`
    Returns:
      the revision